*
* BADVAL.INC
*
* Cleaned up version of the VMS specific BADVAL.INC supplied by
* Oxford University. Converted to (almost) standard Fortran 77.
*
* Also defined two different 'invalid/null' values...
*
*    INVREA - The VMS specific 'invalid real', equivalent to the integer
*             Hex 8000. This is the method of storing nulls in the original
*             VMS format files.
*     
*    NULREA - Our own system independent 'valid' null real. This is also
*             used by the ASCII to Binary converter to store nulls which
*             can then be recognised on any machine.
*
* Other applications can be made to identify the new real values by
* recompiling and relinking them against these modified versions of
* VALID.FOR and BADVAL.INC instead of the versions supplied by Oxford.
*
      INTEGER INVREA
***   PARAMETER ( INVREA = '8000'X ) *** VAX/VMS specific notation ***
      PARAMETER ( INVREA = 32768)

      REAL    NULREA
      PARAMETER ( NULREA = 999.999 )
