*
* Variables from Label Records...
*
*    SATEID - Satellite ID
*    RECTYP - Record type
*    INSTID - Instrument ID
*    SPECIE - Data sub-type or species
*    FVERNO - Format version number
*    PRECNO - Physical record count
*    NCONTS - Number of continuation records for file label
*    NPRECS - Number of physical records in file
*    CREATE - File creation time in VAX VMS ASCII format
*    FSTYEA - Year (3 digits) for first data record
*    FSTDAY - Day of year for first data record
*    FSTMIL - Milliseconds of day for first data record
*    LSTYEA - Year (3 digits) for last data record
*    LSTDAY - Day of year for last data record
*    LSTMIL - Milliseconds of day for last data record
*    LEVEL  - Data level
*    UARSDN - UARS day number
*    NPEREC - Number of data points per record (3AT)
*           - Number of 32-bit words (3TP)
*           - Maximum number of data points per record (3AL)
*           - Maximum number of 32-bit words (3LP)
*    BASEIN - Base index of data point values
*    BINLEN - Record length in bytes
*    MINLAT - Minimum latitude for records in file (3AL,3LP)
*    MAXLAT - Maximum latitude for records in file (3AL,3LP)
*    CCBVER - CCB version number
*    FCYCNO - File cycle number
*    VFFLAG - Virtual File Flag
*    TOTENT - Total number of time/version entries in file
*    NUMENT - Number of time/version entries in file
*
      CHARACTER SATEID*4, RECTYP*2, INSTID*12, SPECIE*12,
     +          FVERNO*4, PRECNO*8,
     +          CREATE*23, FSTYEA*3, FSTDAY*3, FSTMIL*8,
     +          LSTYEA*3, LSTDAY*3, LSTMIL*8, LEVEL*3,
     +          UARSDN*4, NPEREC*4, BASEIN*4,
     +          MINLAT*3, MAXLAT*3, CCBVER*9, FCYCNO*5, VFFLAG*1

      INTEGER   NCONTS, NPRECS, BINLEN, TOTENT, NUMENT

      COMMON /CLABL/ SATEID, RECTYP, INSTID, SPECIE,
     +               FVERNO, PRECNO,
     +               CREATE, FSTYEA, FSTDAY, FSTMIL,
     +               LSTYEA, LSTDAY, LSTMIL, LEVEL,
     +               UARSDN, NPEREC, BASEIN,
     +               MINLAT, MAXLAT, CCBVER, FCYCNO, VFFLAG

      COMMON /NLABL/ NCONTS, NPRECS, BINLEN, TOTENT, NUMENT
