* Variables used in more than one record type and Miscellaneous variables...
*
*    BINLUN - Logical unit number for binary file
*    ASCLUN - Logical unit number for ascii file
*    RWIDTH - Width of real data/quality values in ASCII file
*    NULL   - ASCII string to use in place of invalid reals
*    RECKEY - Record key for latitude gridded files
*    RECORD - Rest of record, not including record key
*    RECLEN - Length of RECORD string
*    IREC   - Record count for direct access files
*    SPARE  - Spare bytes in binary records
*
      INTEGER   BINLUN, ASCLUN, RWIDTH, RECLEN, IREC
      CHARACTER NULL*17,RECKEY*20, RECORD*2000, SPARE*4

      PARAMETER (RWIDTH = 17)
      PARAMETER (BINLUN = 9, ASCLUN = 10, NULL = 'NaN')

      COMMON /CMISC/ RECKEY, RECORD, SPARE
      COMMON /NMISC/ RECLEN, IREC
