      SUBROUTINE RBDATA
      IMPLICIT NONE
*
* RBDATA - Read Binary data part of data file record into common block
*
* This routine does not use RBREAD to read a new record from the data,
* but continues to read the record where RBMETA left off.
*
* Local Variables...
*    BINPOS - Current position in binary record
*    I      - Loop counter
*
      INCLUDE 'misc.inc'
      INCLUDE 'labl.inc'
      INCLUDE 'meta.inc'
      INCLUDE 'data.inc'

      INTEGER   BINPOS, I

      IF (RECTYP .NE. ' 3') THEN
         PRINT *,'* Not a UARS data record'
         STOP

      ELSE
         BINPOS = 65       
*
* First read the actual data values (as integers to avoid errors)...
*
         DO 20, I = 1, TNP
            READ (UNIT=RECORD(BINPOS:BINPOS+3),FMT='(A4)') IDATA(I)
            BINPOS = BINPOS + 4
   20    CONTINUE
*
* ...and then the Quality values in the same way...
*
         DO 30, I = 1, TNP
            READ (UNIT=RECORD(BINPOS:BINPOS+3),FMT='(A4)') IQUAL(I)
            BINPOS = BINPOS + 4
   30    CONTINUE

      ENDIF

      RETURN
      END
