      SUBROUTINE WAMETA
      IMPLICIT NONE
*
* WAMETA - Write Ascii meta-data part of a data record from common block
*          into the first part of the record string.
*
* This routine does not actually write anything to the output file but
* leaves that to WADATA or WAPARM to do when the Ascii record is complete.
*
      INCLUDE 'misc.inc'
      INCLUDE 'labl.inc'
      INCLUDE 'meta.inc'

      WRITE (UNIT=RECORD,FMT=1020)
     +   SATEID,RECTYP,INSTID,PRECNO,SPARE,TNP,NP,SI,
     +   UDTF(1),UDTF(2),LAT,LONG,LST,SZA,'*DATA*'

 1020 FORMAT (A4,A2,A12,A8,A2,3I6,2I9,4(1PE17.10),A6)

      RETURN
      END 
